## LassoIdWsf2Sb2Timeout LassoIdWsf2Sb2Timeout — <sb2:Timeout> |

## Functions

LassoIdWsf2Sb2Timeout * | lasso_idwsf2_sb2_timeout_new ()

## Types and Values

struct | LassoIdWsf2Sb2Timeout

## Description

Figure 238. Schema fragment for sb2:Timeout

    <xs:complexType name="TimeoutType">
      <xs:attribute name="maxProcessingTime" type="xs:integer" use="required"/>
      <xs:anyAttribute namespace="##other" processContents="lax"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_sb2_timeout_new ()

    LassoIdWsf2Sb2Timeout *
    lasso_idwsf2_sb2_timeout_new (void);

Creates a new LassoIdWsf2Sb2Timeout object.

#### Returns

a newly created LassoIdWsf2Sb2Timeout object

## Types and Values

### struct LassoIdWsf2Sb2Timeout

    struct LassoIdWsf2Sb2Timeout {
    	LassoNode parent;

    	/* attributes */
    	int maxProcessingTime;
    	GHashTable *attributes;
    };